h14701
s 00051/00000/00000
d D 1.1 83/03/23 16:15:09 bog 1 0
c date and time created 83/03/23 16:15:09 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmAlph (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL])	    #
#		    Put up an alpha character				    #
#									    #
#	Called By:							    #
#		Subroutine EmAlGr (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL]	    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmAlph(Ch)
CHARACTER Ch
LOGICAL TM2Wrp
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(DRIVER)
ENDCOMMON
 
If (Ch != DEL) {
    PUTALPHA(Ch)
 
    If (X > XRight-XCh) {
	TM2Wrp = Mr2Wrp
	Call EmOCr
	Mr2Wrp = BAND(Margn2,NOT(TM2Wrp))
	Call EmOLf
	}
    Else {
	X = X+XCh
	MOVE(X,Y)
	}
    }
 
Return
End
E 1
